PETSc version 3.15.5
Fix/Edit manual page

# DMLabelSetValue

Set the value a label assigns to a point. If the value is the same as the label's default value (which is initially -1, and can be changed with DMLabelSetDefaultValue() to something different), then this function will do nothing.

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelSetValue(DMLabel label, PetscInt point, PetscInt value)

Not collective

### Input Parameters

| label | - the DMLabel
| point | - the point
| value | - The point value

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelClearValue(), DMLabelGetDefaultValue(), DMLabelSetDefaultValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/label/tutorials/ex1.c.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages